使用 FXRack 脚本出错的解决办法

本贴最后修改日期:2021-04-26T16:00:00Z

如果你是用 reapack 安装 FXRack 这个脚本,你会发现在 REAPER 6 下运行失败。

但仔细检查过代码后,你会找到在作者 github 上,让 reapack 读取的 Index.xml 文件其实已经过期(不是采用最新提交)。


你可以手动更改 FXRack/Modules/FXChain.lua 这个文件第147行,参考:ReaScripts/FXChain.lua at 39cb0f07d46080ddcd2875ada1f4ca0d921343d9 · EUGEN27771/ReaScripts · GitHub

img

源代码中清晰标注了 REAPER V6

也可以直接下载替换掉 reapack 下载的文件,或就用 git pull 来拉取脚本(我建议)。

作者忘记了更新 index.xml,导致 reapack 拉取的是旧提交。


最后正常运行: